/* *****************************************************************************
*
* Copyright 1991, 1992, 1993, 1994, Silicon Graphics, Inc.
* All Rights Reserved.
*
* This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
* the contents of this file may not be disclosed to third parties, copied or
* duplicated in any form, in whole or in part, without the prior written
* permission of Silicon Graphics, Inc.
*
* RESTRICTED RIGHTS LEGEND:
* Use, duplication or disclosure by the Government is subject to restrictions
* as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
* and Computer Software clause at DFARS 252.227-7013, and/or in similar or
* successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
* rights reserved under the Copyright Laws of the United States.
*
***************************************************************************** */
#include <gl.h>
#include "fast.h"

#define ABS(a) ( ( (a) < 0 ) ? -(a) : a)
#define MIN(a,b) ( ((a) < (b)) ? (a) : (b))

extern int x_size, y_size, lda, x_0, y_0;
extern unsigned int *mycolors;

DrawFast()
{
    int i,j , blue, green, red;
    float v[2];
    int * ptc;

    cpack(oBLACK);
    rectfi(-1,-1,y_size,x_size);

    cpack(oWHITE);
    rect(-1,-1,y_size,x_size);
/*
    bgnpoint();
    for( ptc = mycolors, j = 0 ; j < x_size ; j++, ptc += lda) {
	v[0] = j;
	for ( i = 0 , v[1] = 0; i < y_size ; i ++, v[1] += 1.){
	    cpack(ptc[i]);
	    v2f(v);
	}
    }
    endpoint();
*/
    lrectwrite(y_0+1,x_0+1,y_0+y_size, x_0+x_size, mycolors);
}

